package com.bwie.user.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bwie.user.domain.User;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class UserController {
    @Autowired
    private UserService userService;


    @PostMapping("findList")
    public List<User> findList(){
        List<User> list = userService.findList();
        return list;
    }
    @PostMapping("delete")
    public String delete(Integer uid){
        int delete = userService.delete(uid);
        return delete>0?"删除成功":"删除失败";

    }
    @PostMapping("findUserByOrder")
    public Page<User> findUserByOrder(){
        return userService.findUserByOrder();

    }

}
